Bug 2092 - libsmbclient needs option to suppress auto Guest login.
libsmbclient needs option to suppress auto Guest login.
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.8
All All
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 18:02 UTC by Nate Nielsen
Modified: 2005-08-24 10:17 UTC (History)
1 user (show)

See Also:


Attachments
Patch which adds option to supress auto guest login (1.91 KB, patch)
2004-11-26 18:18 UTC, Nate Nielsen
no flags Details
Patch compatible with Kerberos patch (1.91 KB, patch)
2004-11-29 11:14 UTC, Nate Nielsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Nielsen 2004-11-26 18:02:27 UTC
When a libsmbclient connection login fails, it tries to automatically login as
guest. If the Guest login succeeds then no error is returned. 

This may be acceptable or handy in some cases, but when building low level file
access (in my case gnome-vfs smb module) based on libsmbclient code, an error
should be propogated back to the caller, instead of automatic Guest login.

Will attach a patch that adds this behavior in an API/ABI compatible way.
Comment 1 Nate Nielsen 2004-11-26 18:19:02 UTC
Created attachment 810 [details]
Patch which adds option to supress auto guest login
Comment 2 Alexander Larsson 2004-11-29 04:02:00 UTC
This patch is ABI incompatible with another patch that gnome-vfs needs:
http://lists.samba.org/archive/samba-technical/2004-July/036442.html
(and that e.g. fedora ships)

If this patch goes in we should change the value of the flag so they don't conflict.

Also, it would be nice if the kerberos patch also got in.

Comment 3 Nate Nielsen 2004-11-29 11:14:39 UTC
Created attachment 811 [details]
Patch compatible with Kerberos patch

Thanks for pointing that out. Attached is a compatible patch.
Comment 4 Alexander Larsson 2005-01-14 04:26:31 UTC
Any progress on this? Its really important for good support in gnome-vfs.
Gnome-vfs already has code in cvs which relies on this patch if its been applied.
Comment 5 Jeremy Allison 2005-01-24 13:19:35 UTC
I've applied both this and the other outstanding gnome patch.
I renamed the constant to SMBCCTX_FLAG_NO_AUTO_ANONYMOUS_LOGON
to make the intent clearer though.
Jeremy.
Comment 6 Nate Nielsen 2005-01-24 16:26:24 UTC
Thanks. I've made the necessary changes to gnome-vfs to account for the new
constant name.
Comment 7 Gerald (Jerry) Carter 2005-02-07 09:18:55 UTC
originally reported against 3.0.8pre1.  Cleaning up 
non-production versions.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:17:29 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.